<template>
    <div class="ranking-table">
      <h2>Ranking Top 5</h2>
      <table>
        <thead>
          <tr>
            <th>Posición</th>
            <th>Usuario</th>
            <th>Puntaje</th>
          </tr>
        </thead>
        <tbody>
          <tr v-for="(entry, index) in dataRanking" :key="index">
            <td>{{ index }}</td>
            <td>{{ entry.usuario }}</td>
            <td>{{ entry.puntos }}</td>
          </tr>
        </tbody>
      </table>
    </div>
  </template>
  
  <script>

  import usePoints from "@/composables/usePoints";
  import { onMounted, ref, watch } from 'vue';

  export default {

    props: {
      ranking: {
        default: () => {},
      },
  },

    setup(props){

      const { listRanking } = usePoints();
      const dataRanking = ref(props.ranking);

      onMounted( async() => {

        const { dataUser } = await listRanking();
       dataRanking.value = dataUser;
      })

      watch(() => props.ranking, (newVal) => {
        
        dataRanking.value = newVal;
      });
      return {
        dataRanking,
    };
    },
  };
  </script>
  
  <style scoped>
    @import url('../css/ranking.css');
  </style>
  